net.sf.jasperreports.types.date

## Class DateRangeBaseSQLEqualityClause

- java.lang.Object
- - net.sf.jasperreports.types.date.DateRangeBaseSQLEqualityClause

- All Implemented Interfaces:
    JRClauseFunction
  Direct Known Subclasses:
    DateRangeSQLEqualClause, DateRangeSQLNotEqualClause

      public abstract class DateRangeBaseSQLEqualityClause
      extends java.lang.Object
      implements JRClauseFunction

  Version:
    $Id: DateRangeBaseSQLEqualityClause.java 5880 2013-01-07 20:40:06Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DateRangeBaseSQLEqualityClause()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(JRClauseTokens clauseTokens, JRQueryClauseContext queryContext)` Handles a query clause chunk.
    `protected abstract void` | `applyDateRange(JRQueryClauseContext queryContext, java.lang.String column, DateRange dateRange)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DateRangeBaseSQLEqualityClause

          protected DateRangeBaseSQLEqualityClause()

  - ### Method Detail

    - #### apply

          public void apply(JRClauseTokens clauseTokens,
                   JRQueryClauseContext queryContext)

      Description copied from interface: `JRClauseFunction`
      Handles a query clause chunk.
      Specified by:
        `apply` in interface `JRClauseFunction`
      Parameters:
        `clauseTokens` - the clause tokens
        `queryContext` - the query context

    - #### applyDateRange

          protected abstract void applyDateRange(JRQueryClauseContext queryContext,
                            java.lang.String column,
                            DateRange dateRange)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com